Package com.databricks.jdbc.common.util

## Class DatabricksAuthUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.DatabricksAuthUtil

    public class DatabricksAuthUtil
    extends Object

### Constructor Summary

Constructors
`DatabricksAuthUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getTokenEndpoint​(com.databricks.sdk.core.DatabricksConfig databricksConfig, IDatabricksConnectionContext connectionContext)`
`static com.databricks.sdk.core.DatabricksConfig` `initializeConfigWithToken​(String newAccessToken, com.databricks.sdk.core.DatabricksConfig config)`
`static Boolean` `isTokenJWT​(String accessToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksAuthUtil

    public DatabricksAuthUtil()

### Method Detail

#### getTokenEndpoint

    public static String getTokenEndpoint​(com.databricks.sdk.core.DatabricksConfig databricksConfig,
                                          IDatabricksConnectionContext connectionContext)

#### initializeConfigWithToken

    public static com.databricks.sdk.core.DatabricksConfig initializeConfigWithToken​(String newAccessToken,
                                                                                     com.databricks.sdk.core.DatabricksConfig config)

#### isTokenJWT

    public static Boolean isTokenJWT​(String accessToken)